"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPugRules = exports.transformConfig = exports.isPromise = void 0;
const webpack_merge_1 = require("webpack-merge");
// eslint-disable-next-line prefer-arrow/prefer-arrow-functions
function isPromise(promise) {
    return !!promise && typeof promise.then === 'function';
}
exports.isPromise = isPromise;
const transformConfig = (config) => {
    const oldConfig = config || ((input) => input);
    return ((input) => {
        const oldResult = oldConfig(input);
        if (isPromise(oldResult)) {
            return oldResult.then((result) => exports.addPugRules(result));
        }
        return exports.addPugRules(oldResult);
    });
};
exports.transformConfig = transformConfig;
const addPugRules = (config) => {
    return webpack_merge_1.merge(config, {
        module: {
            rules: [
                {
                    test: /\.(pug|jade)$/,
                    use: [
                        { loader: 'apply-loader' },
                        { loader: 'simple-pug-loader' }
                    ]
                }
            ]
        }
    });
};
exports.addPugRules = addPugRules;
//# sourceMappingURL=utils.js.map